package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 员工角色枚举
 */
public enum EmployeeRoleEnum implements BaseEnum<String, EmployeeRoleEnum> {
	TEAM_TEACHER("TEAM_TEACHER", "运营主管"),
	TRANSACTION("TRANSACTION", "衔接老师"),
	EDUCATION("EDUCATION", "乐团主管");

	private String code;

	private String msg;

	EmployeeRoleEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
